Bug 114287 - fo:text-indent and fo:margin-left from paragraph style has to overrule those from list style
Summary: fo:text-indent and fo:margin-left from paragraph style has to overrule those ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL: http://docs.oasis-open.org/office/v1....
Whiteboard:
Keywords:
Depends on:
Blocks: 92762 ODF-import ODF-export-invalid 78175
  Show dependency treegraph
 
Reported: 2017-12-06 17:19 UTC by Regina Henschel
Modified: 2019-06-04 18:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
First part only paragraph indent, second part numbering added, third part combined (12.95 KB, application/vnd.oasis.opendocument.text)
2017-12-06 17:19 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-12-06 17:19:25 UTC
Created attachment 138251 [details]
First part only paragraph indent, second part numbering added, third part combined

Paragraphs style settings for fo:text-indent and fo:margin-left has to overrule those from the list style, read section 17.20 in the spec. But LibreOffice ignores the settings in the paragraph style, in case the numbering style is not referenced in the same <style:style> element, which defines the paragraph indents.

LibreOffice behavior of ignoring the settings in the paragraph style also effects the indent after setting as reported in bug 83532 and bug 108718.
Comment 1 Buovjaga 2017-12-17 16:48:58 UTC
Let's just set to NEW :)
Comment 2 QA Administrators 2019-04-05 02:59:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug